Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.entity.mime
Class MultipartEntity

    java.lang.Object
      org.apache.http.entity.mime.MultipartEntity

All Implemented Interfaces:
  HttpEntity

    public class MultipartEntity

extends Object
implements HttpEntity

Multipart/form coded HTTP entity consisting of multiple body parts.

Since:
  4.0

Constructor Summary
`MultipartEntity()` Creates an instance using mode `HttpMultipartMode.STRICT`
`MultipartEntity(HttpMultipartMode mode)` Creates an instance using the specified `HttpMultipartMode` mode.
`MultipartEntity(HttpMultipartMode mode, String boundary, Charset charset)` Creates an instance using the specified parameters

Method Summary
`void` | `addPart(FormBodyPart bodyPart)`
`void` | `addPart(String name, ContentBody contentBody)`
`void` | `consumeContent()`
`protected String` | `generateBoundary()`
`protected String` | `generateContentType(String boundary, Charset charset)`
`InputStream` | `getContent()`
`Header` | `getContentEncoding()`
`long` | `getContentLength()`
`Header` | `getContentType()`
`boolean` | `isChunked()`
`boolean` | `isRepeatable()`
`boolean` | `isStreaming()`
`void` | `writeTo(OutputStream outstream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartEntity

    public MultipartEntity(HttpMultipartMode mode,
                           String boundary,
                           Charset charset)

  Creates an instance using the specified parameters

  Parameters:
    `mode` - the mode to use, may be `null`, in which case `HttpMultipartMode.STRICT` is used
    `boundary` - the boundary string, may be `null`, in which case `generateBoundary()` is invoked to create the string
    `charset` - the character set to use, may be `null`, in which case `MIME.DEFAULT_CHARSET` - i.e. US-ASCII - is used.

### MultipartEntity

    public MultipartEntity(HttpMultipartMode mode)

  Creates an instance using the specified `HttpMultipartMode` mode. Boundary and charset are set to `null`.

  Parameters:
    `mode` - the desired mode

### MultipartEntity

    public MultipartEntity()

  Creates an instance using mode `HttpMultipartMode.STRICT`

Method Detail

### generateContentType

    protected String generateContentType(String boundary,
                                         Charset charset)

### generateBoundary

    protected String generateBoundary()

### addPart

    public void addPart(FormBodyPart bodyPart)

### addPart

    public void addPart(String name,
                        ContentBody contentBody)

### isRepeatable

    public boolean isRepeatable()

  Specified by:
    `isRepeatable` in interface `HttpEntity`

### isChunked

    public boolean isChunked()

  Specified by:
    `isChunked` in interface `HttpEntity`

### isStreaming

    public boolean isStreaming()

  Specified by:
    `isStreaming` in interface `HttpEntity`

### getContentLength

    public long getContentLength()

  Specified by:
    `getContentLength` in interface `HttpEntity`

### getContentType

    public Header getContentType()

  Specified by:
    `getContentType` in interface `HttpEntity`

### getContentEncoding

    public Header getContentEncoding()

  Specified by:
    `getContentEncoding` in interface `HttpEntity`

### consumeContent

    public void consumeContent()
                        throws IOException,
                               UnsupportedOperationException

  Specified by:
    `consumeContent` in interface `HttpEntity`
  Throws:
    `IOException`
    `UnsupportedOperationException`

### getContent

    public InputStream getContent()
                           throws IOException,
                                  UnsupportedOperationException

  Specified by:
    `getContent` in interface `HttpEntity`
  Throws:
    `IOException`
    `UnsupportedOperationException`

### writeTo

    public void writeTo(OutputStream outstream)
                 throws IOException

  Specified by:
    `writeTo` in interface `HttpEntity`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.